Subject: [RFC v2 3/6] irq: bypass: Extend skeleton for ARM forwarding control

From: [email-masked] (Paolo Bonzini)
Date: Tue, 7 Jul 2015 13:21:38 +0200

On 07/07/2015 13:18, Wu, Feng wrote:
> Then I still need assign prod and de-assign prod in
> irq_bypass_register_consumer/irq_bypass_unregister_consumer, Right?
> Would you please share why this is better.

The need to store the consumer->producer link seems to be unique to
posted interrupts.  It is difficult to say without seeing the PI code,
but I prefer to keep the bypass manager as small as possible.

Paolo